import { expectType } from 'tsd';
const getType = () => null;
const getRecordType = (_) => getType();
expectType(getRecordType("asset.tags"));
expectType(getRecordType("[]user"));
expectType(getRecordType("id:user.receivedNotifications?"));
expectType(getRecordType("id:user.receivedNotifications?limit=2"));
expectType(getRecordType("{}:search?"));
expectType(getRecordType("id:general.title"));
expectType(getRecordType("id:file.replicate"));
expectType(getRecordType("id:general.status"));
expectType(getType());
